classification
Title: Python 3.4 build info wrong in code snippet
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Zvezdoslovec, docs@python, eric.araujo, geoffreyspear, georg.brandl, loewis, python-dev, tshepang
Priority: normal Keywords:

Created on 2014-03-18 21:49 by Zvezdoslovec, last changed 2014-03-22 19:39 by python-dev. This issue is now closed.

Messages (8)
msg214029 - (view) Author: Boštjan Mejak (Zvezdoslovec) Date: 2014-03-18 21:49
Notice the wrong build info of Python 3.4 interpreter in the first code snippet at http://docs.python.org/3/tutorial/interpreter.html#interactive-mode. I know this snippet is just an example to show what does executing the command python3.4 do, but still. Anyone interested in fixing this little nuance?
msg214033 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-18 22:28
I see two differences in my build, but I don’t think it’s really wrong, or that it does harm.  What exactly would you change?
msg214068 - (view) Author: Boštjan Mejak (Zvezdoslovec) Date: 2014-03-19 08:44
I would change only the date and time. There was no Python 3.4 back in 2012 so at least change the year. Well, my recommendation is this:

Python 3.4.0 (v3.4.0:04f714765c13, Mar 16 2014, 19:25:23) [MSC v.1600 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>>

This is how the build info looks like on Windows 7. The user should be presented with the actual build info. Well, at least fix the date and time to match the actual date and time the final version of Python 3.4 was actually built.
msg214471 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-03-22 12:32
Bostjan: please understand that this is not possible. The build date is the date when Python interpreter was actually built. If I build Python on my Linux machine today, I get today's date. So there isn't any single one right "build date" - on Unix, people will typically see different strings.

FWIW, on my system, the prompt reads

Python 3.4.0 (v3.4.0:04f714765c13, Mar 22 2014, 13:30:59)
[GCC 4.7.2] on linux
msg214472 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-03-22 12:37
I don't mind changing the text now, but I observe that there is a chicken-and-egg problem with the hg changeset number. That changeset number is only set when the tag is made, which must happen after the documentation is updated (or else the updated documentation is not in the release). Hence, the documentation can't know what the changeset number will be for an about-to-released version of Python.
msg214473 - (view) Author: Geoffrey Spear (geoffreyspear) * Date: 2014-03-22 12:38
There is no "correct" date and time Python 3.4 was built. I'm sure even the Windows binary installers weren't built simultaneously, and on Linux systems it will differ based on distro.

My Python 3.4 says it was built 5 minutes ago, because it was.

I suppose bumping to some date after 3.4 was released makes sense, but trying to get it to show the user exactly what they're going to see when they run Python is impossible.
msg214510 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2014-03-22 19:36
I'd just make it the approximate release date of 3.4.  The version is adapted anyway as part of a new minor release, so the date can also be.
msg214511 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-03-22 19:39
New changeset 4476b7493ee4 by Georg Brandl in branch '3.4':
Closes #20975: make date in the interpreter banner a little more consistent
http://hg.python.org/cpython/rev/4476b7493ee4
History
Date User Action Args
2014-03-22 19:39:30python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg214511

resolution: fixed
stage: resolved
2014-03-22 19:36:54georg.brandlsetnosy: + georg.brandl
messages: + msg214510
2014-03-22 12:38:39geoffreyspearsetnosy: + geoffreyspear
messages: + msg214473
2014-03-22 12:37:32loewissetmessages: + msg214472
2014-03-22 12:32:20loewissetnosy: + loewis
messages: + msg214471
2014-03-22 10:50:30tshepangsetnosy: + tshepang
2014-03-19 08:44:14Zvezdoslovecsetmessages: + msg214068
2014-03-18 22:28:59eric.araujosetnosy: + eric.araujo
messages: + msg214033
2014-03-18 21:49:58Zvezdosloveccreate